::-webkit-scrollbar {
    width: .4em;
    height: .6em
}

::-webkit-scrollbar-track {
    background: #000
}

::-webkit-scrollbar-thumb {
    background: linear-gradient(-45deg,#ff0000,#ff0000,#ff0000,#ff0000)
}
.seen_msg {
			border-radius: 25px;
			box-shadow: inset 0 0 10px #000;
			margin-bottom: 8px;
			background: #ff000070;
			color: #222;
		}
.gift_image {
  height: 50px;
  width: 50px;
  cursor: pointer;
}
.live_label{font-size: 14px;text-align: center; font-weight:bold;}
.live_center_btn{width: 55%;margin-left: auto;margin-right: auto;}
.livehide { display:none !important; }
.liveout { left:-10000px !important; }
.live_stream_img {
    width: 30px;
    height: 30px;
    display: block;
    margin: 0 auto;
    border-radius: 50%;
}
.large_modal_out_cust_live{
    display: none;
    position: fixed;
    left: 26%;
    top: 70px;
    width: auto;
    height: auto;
    overflow: hidden;
    cursor: pointer;
	z-index:11;
}
.grad_bigger_border,.grad_small_border {
    border-radius: 1000px;
    background: gray;
    display: flex;
}

.grad_bigger_border {
    width: 36px;
    height: 36px;
    align-items: center;
    justify-content: center
}

.grad_small_border {
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center
}

.small_av {
    height: 36px!important;
    width: 36px!important
}

.hideLive{display:none;}
.modal_top_live { 	
	background: #f7f7f7;
    width: 100%;
    display: table;
    table-layout: fixed;
    border-radius: 8px;
}
@media screen and (max-width:768px){
	.large_modal_out_cust_live{
		left: 8%;
	}
}
.general_cam_live_stream{
	height: 300px ;
	width: 100%;
	background: #1d2c33;
}
img.new_frame_class {
    right: -4px;
    position: absolute;
    top: -7px;
    border-radius: 0;
    width: 44px !important;
    height: 49px !important;
}



.panel_btn{
	background: #0f0c29;  /* fallback for old browsers */
	background: -webkit-linear-gradient(to right, #24243e, #302b63, #0f0c29);  /* Chrome 10-25, Safari 5.1-6 */
	background: linear-gradient(to right, #24243e, #302b63, #0f0c29); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
	color:white;
    border-radius: 5px;
	transition: background-color 0.5s ease;
	font-family:Tajawal, sans-serif;
}
 .user_stage {/* color: white; *//* position: absolute; *//* top: 0; */left: 0;/* font-size: 8px; *//* padding: 1px 2px; *//* border-radius: 25px; *//* text-align: center; */z-index: 2;} 
.prograd1,
.pgrad1 {
    background: linear-gradient(to top, #f33, #800000)!important;
    
}

.prograd2,
.pgrad2 {
    background: linear-gradient(to top, #f63, #4d1300)!important;
    
}

.prograd3,
.pgrad3 {
    background: linear-gradient(to top, #f93, #4d2600)!important;
    
}

.prograd4,
.pgrad4 {
    background: linear-gradient(to top, #fc3, #806000)!important;
    
}

.prograd5,
.pgrad5 {
    background: linear-gradient(to top, #cc0, #4d4d00)!important;
    
}

.prograd6,
.pgrad6 {
    background: linear-gradient(to top, #9c0, #394d00)!important;
    
}

.prograd7,
.pgrad7 {
    background: linear-gradient(to top, #59b300, #264d00)!important;
    
}

.prograd8,
.pgrad8 {
    background: linear-gradient(to top, #829356, #2b301c)!important;
    
}

.prograd9,
.pgrad9 {
    background: linear-gradient(to top, #008000, #001a00)!important;
    
}

.prograd10,
.pgrad10 {
    background: linear-gradient(to top, #00e639, #00330d)!important;
    
}

.prograd11,
.pgrad11 {
    background: linear-gradient(to top, #00e673, #063)!important;
    
}

.prograd12,
.pgrad12 {
    background: linear-gradient(to top, #00e6ac, #004d39)!important;
    
}

.prograd13,
.pgrad13 {
    background: linear-gradient(to top, #0cc, #004d4d)!important;
    
}

.prograd14,
.pgrad14 {
    background: linear-gradient(to top, #03add8, #013d4b)!important;
    
}

.prograd15,
.pgrad15 {
    background: linear-gradient(to top, #36f, #002080)!important;
    
}

.prograd16,
.pgrad16 {
    background: linear-gradient(to top, #107896, #073845)!important;
    
}

.prograd17,
.pgrad17 {
    background: linear-gradient(to top, #004d99, #66b3ff)!important;
    
}

.prograd18,
.pgrad18 {
    background: linear-gradient(to top, #63f, #c6b3ff)!important;
    
}

.prograd19,
.pgrad19 {
    background: linear-gradient(to top, #93f, #d9b3ff)!important;
    
}

.prograd20,
.pgrad20 {
    background: linear-gradient(to top, #c3f, #ecb3ff)!important;
    
}

.prograd21,
.pgrad21 {
    background: linear-gradient(to top, #f3f, #ffb3ff)!important;
    
}

.prograd22,
.pgrad22 {
    background: linear-gradient(to top, #f3c, #ff99e6)!important;
    
}

.prograd23,
.pgrad23 {
    background: linear-gradient(to top, #f39, #ffb3d9)!important;
    
}

.prograd24,
.pgrad24 {
    background: linear-gradient(to top, #f36, #ffb3c6)!important;
    
}

.prograd25,
.pgrad25 {
    background: linear-gradient(to top, #40e0d0, #ff8c00, #ff0080)!important;
    
}

.prograd26,
.pgrad26 {
    background: linear-gradient(to top, #11998e, #38ef7d)!important;
    
}

.prograd27,
.pgrad27 {
    background: linear-gradient(to top, #108dc7, #ef8e38)!important;
    
}

.prograd28,
.pgrad28 {
    background: linear-gradient(to top, #fc5c7d, #6a82fb)!important;
    
}

.prograd29,
.pgrad29 {
    background: linear-gradient(to top, #fc466b, #3f5efb)!important;
    
}

.prograd30,
.pgrad30 {
    background: linear-gradient(to top, #c94b4b, #4b134f)!important;
    
}

.prograd31,
.pgrad31 {
    background: linear-gradient(to top, #00f260, #0575e6)!important;
    
}

.prograd32,
.pgrad32 {
    background: linear-gradient(to top, #fc4a1a, #f7b733)!important;
    
}

.prograd33,
.pgrad33 {
    background: linear-gradient(to top, #22c1c3, #fdbb2d)!important;
    
}

.prograd34,
.pgrad34 {
    background: linear-gradient(to top, #7f00ff, #e100ff)!important;
    
}

.prograd35,
.pgrad35 {
    background: linear-gradient(to top, #67b26f, #4ca2cd)!important;
    
}

.prograd36,
.pgrad36 {
    background: linear-gradient(to top, #ee0979, #ff6a00)!important;
    
}

.prograd37,
.pgrad37 {
    background: linear-gradient(to top, #00c3ff, #ffff1c)!important;
    
}

.prograd38,
.pgrad38 {
    background: linear-gradient(to top, #fc00ff, #00dbde)!important;
    
}

.prograd39,
.pgrad39 {
    background: linear-gradient(to top, #833ab4, #fd1d1d, #fcb045)!important;
    
}

.prograd40,
.pgrad40 {
    background: linear-gradient(to top, #43cea2, #185a9d)!important;
    
}

.prograd41,
.pgrad41 {
    background: linear-gradient(to top, #bdc3c7, #2c3e50)!important;
    
}

.prograd42,
.pgrad42 {
    background: linear-gradient(to top, #373b44, #4286f4)!important;
    
}

.prograd43,
.pgrad43 {
    background: linear-gradient(to top, #2980b9, #6dd5fa, #fff)!important;
    
}

.prograd44,
.pgrad44 {
    background: linear-gradient(to top, #f09, #493240)!important;
    
}

.prograd45,
.pgrad45 {
    background: linear-gradient(to top, #f953c6, #b91d73)!important;
    
}

.prograd46,
.pgrad46 {
    background: linear-gradient(to left, #c31432, #240b36)!important;
    
}

.prograd47,
.pgrad47 {
    background: linear-gradient(to top, #dd3e54, #6be585)!important;
    
}

.prograd48,
.pgrad48 {
    background: linear-gradient(to top, #8360c3, #2ebf91)!important;
    
}

.prograd49,
.pgrad49 {
    background: linear-gradient(to top, #544a7d, #ffd452)!important;
    
}

.prograd50,
.pgrad50 {
    background: linear-gradient(to top, #009fff, #ec2f4b)!important;
    
}

.prograd51,
.pgrad51 {
    background: linear-gradient(to top, #59c173, #a17fe0, #5d26c1)!important;
    
}

.prograd52,
.pgrad52 {
    background: linear-gradient(to top, #005aa7, #fffde4)!important;
    
}

.prograd53,
.pgrad53 {
    background: linear-gradient(to top, #da4453, #89216b)!important;
    
}

.prograd54,
.pgrad54 {
    background: linear-gradient(to top, #ad5389, #3c1053)!important;
    
}

.prograd55,
.pgrad55 {
    background: linear-gradient(to top, #a8c0ff, #3f2b96)!important;
    
}

.prograd56,
.pgrad56 {
    background: linear-gradient(to top, #333, #dd1818)!important;
    
}

.prograd57,
.pgrad57 {
    background: linear-gradient(to top, #108dc7, #ef8e38)!important;
    
}

.prograd58,
.pgrad58 {
    background: linear-gradient(to top, #23074d, #cc5333)!important;
    
}

.prograd59,
.pgrad59 {
    background: linear-gradient(to top, #fffbd5, #b20a2c)!important;
    
}

.prograd60,
.pgrad60 {
    background: linear-gradient(to top, #0f0c29, #302b63, #24243e)!important;
    
}

.prograd61,
.pgrad61 {
    background: linear-gradient(to top, #800080, #ffc0cb)!important;
    
}

.prograd62,
.pgrad62 {
    background: linear-gradient(to top, #00f260, #0575e6)!important;
    
}

.prograd63,
.pgrad63 {
    background: linear-gradient(to top, #667db6, #0082c8, #ec38bc, #fdeff9)!important;
    
}

.prograd64,
.pgrad64 {
    background: linear-gradient(to top, #e1eec3, #f05053)!important;
    
}

.prograd65,
.pgrad65 {
    background: linear-gradient(to top, #03001e, #7303c0, #ec38bc, #fdeff9)!important;
    
}

.prograd66,
.pgrad66 {
    background: linear-gradient(to top, #1a2a6c, #b21f1f, #fdbb2d)!important;
    
}

.prograd67,
.pgrad67 {
    background: linear-gradient(to top, #000, #0f9b0f)!important;
    
}

.prograd68,
.pgrad68 {
    background: linear-gradient(to top, #36d1dc, #5b86e5)!important;
    
}

.prograd69,
.pgrad69 {
    background: linear-gradient(to top, #3a1c71, #d76d77, #ffaf7b)!important;
    
}

.prograd70,
.pgrad70 {
    background: linear-gradient(to top, #283c86, #45a247)!important;
    
}

.prograd71,
.pgrad71 {
    background: linear-gradient(to top, #ef3b36, #fff)!important;
    
}

.prograd72,
.pgrad72 {
    background: linear-gradient(to top, #159957, #155799)!important;
    
}

.prograd73,
.pgrad73 {
    background: linear-gradient(to top, #000046, #1cb5e0)!important;
    
}

.prograd74,
.pgrad74 {
    background: linear-gradient(to top, #56ccf2, #2f80ed)!important;
    
}

.prograd75,
.pgrad75 {
    background: linear-gradient(to top, #eb5757, #000)!important;
    
}

.prograd76,
.pgrad76 {
    background: linear-gradient(to top, #20002c, #cbb4d4)!important;
    
}

.prograd77,
.pgrad77 {
    background: linear-gradient(to top, #34e89e, #0f3443)!important;
    
}

.prograd78,
.pgrad78 {
    background: linear-gradient(to top, #bdc3c7, #2c3e50)!important;
    
}

.prograd79,
.pgrad79 {
    background: linear-gradient(to top, #a80077, #6f0)!important;
    
}

.prograd80,
.pgrad80 {
    background: linear-gradient(to top, #000, #656565)!important;
    
}
.shgrad1,
.shback1 {
	box-shadow: #422f99 0 0 20px!important;
	border: 1px solid #422f99
}

.shgrad2,
.shback2 {
	box-shadow: #a80077 0 0 20px!important;
	border: 1px solid #a80077
}

.shgrad3,
.shback3 {
	box-shadow: #000 0 0 20px!important;
	border: 1px solid #000
}

.shgrad4,
.shback4 {
	box-shadow: #4d3e3e 0 0 20px!important;
	border: 1px solid #4d3e3e
}

.shgrad5,
.shback5 {
	box-shadow: #142850 0 0 20px!important;
	border: 1px solid #142850
}

.shgrad6,
.shback6 {
	box-shadow: #00909e 0 0 20px!important;
	border: 1px solid #00909e
}

.shgrad7,
.shback7 {
	box-shadow: #dae1e7 0 0 20px!important;
	border: 1px solid #dae1e7
}

.shgrad8,
.shback8 {
	box-shadow: #ffe0ac 0 0 20px!important;
	border: 1px solid #ffe0ac
}

.shgrad9,
.shback9 {
	box-shadow: #888 0 0 20px!important;
	border: 1px solid #888
}

.shgrad10,
.shback10 {
	box-shadow: #120136 0 0 20px!important;
	border: 1px solid #120136
}

.shgrad11,
.shback11 {
	box-shadow: #f6f578 0 0 20px!important;
	border: 1px solid #f6f578
}

.shgrad12,
.shback12 {
	box-shadow: #862a5c 0 0 20px!important;
	border: 1px solid #862a5c
}

.shgrad13,
.shback13 {
	box-shadow: #eaac9d 0 0 20px!important;
	border: 1px solid #eaac9d
}

.shgrad14,
.shback14 {
	box-shadow: #06623b 0 0 20px!important;
	border: 1px solid #06623b
}

.shgrad15,
.shback15 {
	box-shadow: #f79071 0 0 20px!important;
	border: 1px solid #f79071
}

.shgrad16,
.shback16 {
	box-shadow: #f6acc8 0 0 20px!important;
	border: 1px solid #f6acc8
}

.shgrad17,
.shback17 {
	box-shadow: #af8baf 0 0 20px!important;
	border: 1px solid #af8baf
}

.shgrad18,
.shback18 {
	box-shadow: #584153 0 0 20px!important;
	border: 1px solid #584153
}

.shgrad19,
.shback19 {
	box-shadow: #c1a57b 0 0 20px!important;
	border: 1px solid #c1a57b
}

.shgrad20,
.shback20 {
	box-shadow: #2c003e 0 0 20px!important;
	border: 1px solid #2c003e
}

.shgrad21,
.shback21 {
	box-shadow: #43d8c9 0 0 20px!important;
	border: 1px solid #43d8c9
}

.shgrad22,
.shback22 {
	box-shadow: #95389e 0 0 20px!important;
	border: 1px solid #95389e
}

.shgrad23,
.shback23 {
	box-shadow: #0779e4 0 0 20px!important;
	border: 1px solid #0779e4
}

.shgrad24,
.shback24 {
	box-shadow: #d8345f 0 0 20px!important;
	border: 1px solid #d8345f
}

.shgrad25,
.shback25 {
	box-shadow: #c70039 0 0 20px!important;
	border: 1px solid #c70039
}

.shgrad26,
.shback26 {
	box-shadow: #ff5733 0 0 20px!important;
	border: 1px solid #ff5733
}

.shgrad27,
.shback27 {
	box-shadow: #8566aa 0 0 20px!important;
	border: 1px solid #8566aa
}

.shgrad28,
.shback28 {
	box-shadow: #6983aa 0 0 20px!important;
	border: 1px solid #6983aa
}

.shgrad29,
.shback29 {
	box-shadow: #f8e1f4 0 0 20px!important;
	border: 1px solid #f8e1f4
}

.shgrad30,
.shback30 {
	box-shadow: #97e5ef 0 0 20px!important;
	border: 1px solid #97e5ef
}

.shgrad31,
.shback31 {
	box-shadow: #b9ebcc 0 0 20px!important;
	border: 1px solid #b9ebcc
}

.shgrad32,
.shback32 {
	box-shadow: #5a3f11 0 0 20px!important;
	border: 1px solid #5a3f11
}

.shgrad33,
.shback33 {
	box-shadow: #9c5518 0 0 20px!important;
	border: 1px solid #9c5518
}

.shgrad34,
.shback34 {
	box-shadow: #ffb385 0 0 20px!important;
	border: 1px solid #ffb385
}

.shgrad35,
.shback35 {
	box-shadow: #698474 0 0 20px!important;
	border: 1px solid #698474
}

.shgrad36,
.shback36 {
	box-shadow: #de7119 0 0 20px!important;
	border: 1px solid #de7119
}

.shgrad37,
.shback37 {
	box-shadow: #204051 0 0 20px!important;
	border: 1px solid #204051
}

.shgrad38,
.shback38 {
	box-shadow: #3b6978 0 0 20px!important;
	border: 1px solid #3b6978
}

.shgrad39,
.shback39 {
	box-shadow: #f76a8c 0 0 20px!important;
	border: 1px solid #f76a8c
}

.shgrad40,
.shback40 {
	box-shadow: #fbcffc 0 0 20px!important;
	border: 1px solid #fbcffc
}

.shgrad41,
.shback40 {
	box-shadow: #be79df 0 0 20px!important;
	border: 1px solid #be79df
}

.shgrad42,
.shback40 {
	box-shadow: #cff1ef 0 0 20px!important;
	border: 1px solid #cff1ef
}

.shgrad43,
.shback40 {
	box-shadow: #ffd1bd 0 0 20px!important;
	border: 1px solid #ffd1bd
}

.shgrad44,
.shback40 {
	box-shadow: #9dc6a7 0 0 20px!important;
	border: 1px solid #9dc6a7
}

.shgrad45,
.shback40 {
	box-shadow: #323232 0 0 20px!important;
	border: 1px solid #323232

}
.general_text{height:auto;text-align:center;color:#f0f8ff!important;font-size:11px}.general_text{text-align:center;color:#daa25e}.overlay-ribbon{position:absolute;width:13em;height:14em;z-index:9999;top:0;right:2%;background:#2ec4b6;padding:5px 0;background-image:-ms-radial-gradient(center top,circle farthest-side,#cbf3f0 0%,#2ec4b6 100%);background-image:-moz-radial-gradient(center top,circle farthest-side,#cbf3f0 0%,#2ec4b6 100%);background-image:-o-radial-gradient(center top,circle farthest-side,#cbf3f0 0%,#2ec4b6 100%);background-image:-webkit-gradient(radial,center top,0,center top,487,color-stop(0,#cbf3f0),color-stop(1,#2ec4b6));background-image:-webkit-radial-gradient(center top,circle farthest-side,#cbf3f0 0%,#2ec4b6 100%);background-image:radial-gradient(circle farthest-side at center top,#cbf3f0 0%,#2ec4b6 100%);-webkit-box-shadow:-5px 21px 28px -4px rgba(0,0,0,0.43);-moz-box-shadow:-5px 21px 28px -4px rgba(0,0,0,0.43);box-shadow:-5px 21px 28px -4px rgba(0,0,0,0.43);-webkit-border-radius:8px;-moz-border-radius:8px;border-radius:8px;animation:slidein 3s ease-in-out forwards}.ribbon-content{z-index:99999;position:relative;margin:0 5px}.ribbon-content h3{margin:0;padding:5px 0 5px 0;line-height:16px;font-family:'Hammersmith One',sans-serif;color:#24505a;text-align:center}.ribbon-content > p,.ribbon-content > p span{color:#24505a;margin:0;padding:0}.ribbon-content p span{display:block}.close-x{position:absolute;top:5px;right:5px;z-index:99}.close-x a:link,.close-x a:visited{background:#2ec4b6;color:#fff;padding:0 4px;font-weight:normal;text-decoration:none}.close-x a:hover{background:#ff9f1c}.overlay-ribbon:before{/* content:""; *//* position:absolute; */bottom:-9em;left:0;width:0;height:0;border-top:10em solid #2ec4b6;border-right:10em solid transparent;z-index:997}.overlay-ribbon:after{/* content:""; */position:absolute;bottom:-9em;right:0;width:0;height:0;border-top:10em solid #2ec4b6;border-left:10em solid transparent;z-index:998}.slideout{animation:slideout 1s ease-in-out forwards}@-webkit-keyframes slidein{from{transform:translate(0,-400px)}to{transform:translate(0,100px)}}@-o-keyframes slidein{from{transform:translate(0,-400px)}to{transform:translate(0,100px)}}@-moz-keyframes slidein{from{transform:translate(0,-400px)}to{transform:translate(0,100px)}}@keyframes slidein{from{transform:translate(0,-400px)}to{transform:translate(0,100px)}}@-webkit-keyframes slideout{from{transform:translate(0,100px)}to{transform:translate(0,-400px)}}@-o-keyframes slideout{from{transform:translate(0,100px)}to{transform:translate(0,-400px)}}@-moz-keyframes slideout{from{transform:translate(0,100px)}to{transform:translate(0,-400px)}}@keyframes slideout{from{transform:translate(0,100px)}to{transform:translate(0,-400px)}}


.nameWave {
    background-size: 200% auto;
    background-position: 0 0;
    -webkit-animation: nameWave 3s linear infinite normal;
    animation: nameWave 1.5s linear infinitel;
}

@keyframes nameWave {
    to {
        background-position: 200% center;
    }
}